﻿
using System.IO;
using System.Windows.Forms;
using System;
using LazyIO;
namespace HaloMap
{
    public sealed class StringID : MetaItemBase
    {
        #region properties

        public short Index
        {
            get;
            private set;
        }
        byte Length
        {
            get;
            set;
        }

        #endregion
        #region methods

        public void Update(short index, byte length)
        {
            Index = index;
            Length = length;
        }
        public sealed override void Read(EndianReader br)
        {
            Index = br.ReadInt16();
            byte junk = br.ReadByte();
            Length = br.ReadByte();
        }
        public sealed override void Write(EndianWriter bw)
        {
            bw.Write(Index);
            bw.Write((byte)0);
            bw.Write(Length);
        }

        #endregion
    }
}
